Package org.apache.ignite.spi.systemview.view.sql

## Class SqlViewColumnView

- java.lang.Object
- - org.apache.ignite.spi.systemview.view.sql.SqlViewColumnView

-     public class SqlViewColumnView
      extends Object

  Sql view column representation for a `SystemView`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SqlViewColumnView​(SystemView<?> view, Map.Entry<String,​Class<?>> col)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `columnName()` |
    `String` | `defaultValue()` |
    `boolean` | `nullable()` |
    `int` | `precision()` |
    `int` | `scale()` |
    `String` | `schemaName()` |
    `String` | `type()` |
    `String` | `viewName()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SqlViewColumnView

          public SqlViewColumnView​(SystemView<?> view,
                                   Map.Entry<String,​Class<?>> col)

      Parameters:
        `view` - View.
        `col` - Column.

  - ### Method Detail

    - #### columnName

          public String columnName()

      Returns:
        Column name.

    - #### schemaName

          public String schemaName()

      Returns:
        Schema name.

    - #### viewName

          public String viewName()

      Returns:
        View name.

    - #### type

          public String type()

      Returns:
        Field data type.

    - #### defaultValue

          public String defaultValue()

      Returns:
        Field default.

    - #### precision

          public int precision()

      Returns:
        Precision.

    - #### scale

          public int scale()

      Returns:
        Scale.

    - #### nullable

          public boolean nullable()

      Returns:
        `True` if nullable field.